Redmine - Defect #2211

GLoc don't work in init.rb of plugins
2008-11-18 14:28 - Diego Sousa

Status: Closed Start date: 2008-11-18
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Hi,

| don't need use gloc at all in init.rb of plugins, but this time i need to translate some links to insert in top_menu, but gloc doesnt work
there, i did a quick fix to insert in every plugin to GLoc work, it was in Redmine::Plugin but i dont want to insert anything in core so i

moved to plugins i need

Redmine: :Plugin.send(:include, GLoc)
require "#{RAILS_ROOT}/config/initializers/30-redmine"

Have any general and better way to do this?

Thanks!

History

#1 - 2008-11-18 14:31 - Chaoqun Zou

In my plugin | write code like this and it works.

menu :project_menu, :books, {:controller => 'books', :action => 'index'},
> :project_id

#2 - 2008-11-18 14:36 - Diego Sousa
- Status changed from New to Resolved

- % Done changed from 0 to 100

Sry, my bad!

i was doing this

tcaption =>

menu :top_menu, 1l (:label_report), { :controller => 'report', :action => 'index' },

Thanks Zou! :)

#3 - 2008-11-18 18:04 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

2025-05-13

cafter =>

:label_library, :param

radministration
